/**
 * @function doSignout
 * @returns Promise
 */

"use strict";

const doSignget = require('./do_signget');

/** @lends doSignout */
function doSignout(UserSign, signed) {
    return UserSign
        .findById(signed.id, {
            include: [UserSign.getRef('user')]
        })
        .then(sign => {
            if (!sign) {
                return null;
            }
            return sign.update({
                    signout_at: new Date()
                })
                .then(sign => doSignget(UserSign, signed))
        })
        .then();
}


module.exports = doSignout;

